%define module  MIME-EncWords
%define name    perl-%{module}
%define version 0.04.0
%define up_version  0.040
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Deal with RFC-1522 encoded words (improved)
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/MIME/%{module}-%{up_version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch:      noarch
BuildRequires:  perl(MIME::Charset)
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. :-)

%prep
%setup -q -n %{module}-%{up_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc ARTISTIC GPL README
%{perl_vendorlib}/MIME
%{_mandir}/*/*




%changelog

* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04.0-1mdv2007.0
+ Revision: 86557
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
+ Revision: 84308
- fix doc files
- Import perl-MIME-EncWords

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
- first mdv release

